View Issue Details

IDProjectCategoryView StatusLast Update
0000986Far ManagerPlugins APIpublic2010-09-25 02:16
Reportermax rusovAssigned Tovskirdin 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000986: Far 2 API - pascal
DescriptionТестировалось под Delphi 5 и FreePascal 2.3.1 (x32). x64 пока не поддерживается.
TagsNo tags attached.
Build0

Activities

max rusov

2009-07-29 20:55

reporter  

Far2API_pas.rar (22,614 bytes)

vskirdin

2009-07-29 20:59

administrator   bugnote:0003815

на борту имеются старые farcolor.pas, farkeys.pas и plugin.pas.
как поступим? (то, что их однозначно заменять - бесспорно)
переименуем *W.pas в "без W"?
или скажем, что для двойки ЭТО будет называться *W.pas?

max rusov

2009-07-29 21:04

reporter   bugnote:0003817

Мне кажется *W - удобнее. В Delphi нельзя использовать ifdef'ы в настройках путей, поэтому приходится подключать модули условно:

uses
  ...
 {$ifdef Unicode}
  PluginW,
 {$else}
  Plugin,
 {$endif Unicode}

Для этого - они должны называться по разному.

vskirdin

2009-07-30 19:40

administrator   bugnote:0003823

правильно я понимаю, что текущий аттачмент можно коммитить в репозитарий?

max rusov

2009-07-30 20:11

reporter   bugnote:0003824

Вообщем, да. Я с ним уже 8 плагинов написал. Там PluginW.pas немного "грязный" - кроме паскалевских функций оставлены закомментированые C-шные прототипы - мне так удобнее поддерживать изменения. Если надо, могу подчистить, но пока API активно меняется, не хотелось бы.

vskirdin

2009-07-30 21:56

administrator   bugnote:0003825

ок.
тогда по мере обновления здесь, будем обновлять и репозитарий.

vskirdin

2009-07-30 22:10

administrator   bugnote:0003826

Макс, а для 1.7x "причешишь" *.pas?
(мне кажется, что там не совсем актуальные файлы)

max rusov

2009-07-30 23:17

reporter   bugnote:0003827

Ok, посмотрю.

vskirdin

2009-07-31 13:53

administrator   bugnote:0003833

да... и периодически сверяйся с репозитарием - вот сейчас мы *W.pas немного скорректировали :-)

max rusov

2009-08-13 23:11

reporter  

Far2API_pas_v2.rar (22,703 bytes)

max rusov

2009-08-13 23:12

reporter   bugnote:0003906

Last edited: 2009-08-13 23:14

View 2 revisions

Добавил поддержку x64. Тестировалось под FreePascal 2.3.1

max rusov

2009-08-16 12:36

reporter   bugnote:0003910

Last edited: 2009-08-16 12:52

View 2 revisions

Сейчас только обратил внимание: в ночные сборки вместо PluginW.pas включается какой то огрызок. Видимо он портятся при сборке какими то скриптами. Что сделать?

alexy

2009-08-16 14:03

administrator   bugnote:0003911

Это из за FAR_USE_INTERNALS, убери все эти секции, они там вообще не нужны.

alexy

2009-08-16 14:08

administrator   bugnote:0003912

Скажем так даже, для составления pas не юзай те хидеры которые лежат в сорцах фара, а те которые генерятся в папку Include при сборке или те которые идут в найтли.

max rusov

2009-08-16 20:18

reporter  

Far2API_pas_v3.rar (21,493 bytes)

max rusov

2009-08-16 20:19

reporter   bugnote:0003913

Почистил

vskirdin

2009-08-17 12:28

administrator   bugnote:0003914

Committed revision 3376.

max rusov

2009-09-26 14:06

reporter  

Far2API_pas_v4.rar (21,726 bytes)

max rusov

2009-09-26 14:07

reporter   bugnote:0004124

Добавил поддержку RegExp'ов

max rusov

2009-10-01 01:29

reporter  

Far2API_pas_v5.rar (21,791 bytes)

max rusov

2009-10-01 01:31

reporter   bugnote:0004187

Добавил ConvertPath

Может будет проще, если я буду прямо в базу коммитить?

max rusov

2010-01-31 14:00

reporter  

Far2API_pas_v6.rar (22,048 bytes)

max rusov

2010-01-31 14:01

reporter   bugnote:0004853

Обновления

max rusov

2010-01-31 16:04

reporter  

Far2API_pas_v7.rar (22,049 bytes)

max rusov

2010-01-31 16:05

reporter   bugnote:0004854

Ошибочка вышла. Перезалил.

vskirdin

2010-01-31 18:00

administrator   bugnote:0004855

Committed revision 4167

Tiger-cub

2010-01-31 18:59

reporter   bugnote:0004856

PANEL_NONE = -1;
  PANEL_ACTIVE = -1;
  PANEL_PASSIVE = -2;
надо заменить на
  PANEL_NONE = THandle(-1);
  PANEL_ACTIVE = THandle(-1);
  PANEL_PASSIVE = THandle(-2);

vskirdin

2010-02-04 12:28

administrator   bugnote:0004865

max_rusov, правка Tiger-cub принимается?
Tiger-cub, это для "кого"? здесь упоминался FreePascal, Delphi...

Tiger-cub

2010-02-04 13:10

reporter   bugnote:0004866

vskirdin, это Delphi. Впрочем, полагаю, что и для любой другой версии паскаля будет то же самое. Кстати, в сишном хедере сделано то же самое, что я предложил.

max rusov

2010-02-04 13:11

reporter   bugnote:0004867

Мне казалось, что у меня были какие-то резоны не приводить их к THandle, но что-то я уже не могу вспомнить какие :). Возможно, просто казалось.

В принципе, логично, хотя мне и придется править все свои исходники.
Правка принимается, скоро выложу обновления.

Tiger-cub

2010-02-04 13:16

reporter   bugnote:0004868

THandle - это LongWord, оно просто не может быть отрицательным.
Если не привести к THandle при описании, то приходится приводить при каждом вызове процедур, куда передаются описатели панелей, иначе компилятор обижается.

alexy

2010-06-12 16:51

administrator   bugnote:0005476

Надо поправить plugins.awk ибо в pluginsw.pas не выставляется версия фара.

max rusov

2010-06-12 18:14

reporter  

Far2API_pas_v8.rar (22,537 bytes)

max rusov

2010-06-12 18:14

reporter   bugnote:0005477

Обновил заодно

alexy

2010-07-12 03:34

administrator   bugnote:0005586

Давай сделаем проще всё, я дам Максу права на коммит для pas файлов, ы?

vskirdin

2010-07-12 09:36

administrator   bugnote:0005589

ДА!
а этот долгоиграющий "Инц" закроем :-)
Наверное... заодно и в Энц2 дать ему доступ на коммит в папку delphi (ну, или обозвать ее по другому, например, pascal)

max rusov

2010-08-25 22:26

reporter  

Far2API_pas_v9.rar (22,985 bytes)

max rusov

2010-08-25 22:26

reporter   bugnote:0005720

Update.

Так что насчет доступа?

alexy

2010-08-25 22:28

administrator   bugnote:0005721

Будет, как тока руки дойдут.

alexy

2010-09-25 02:14

administrator   bugnote:0005820

Ок, доступ ка *.pas добавлен. Юзернэйм - mrusov, пароль выслал по мылу.

Issue History

Date Modified Username Field Change
2009-07-29 20:55 max rusov New Issue
2009-07-29 20:55 max rusov File Added: Far2API_pas.rar
2009-07-29 20:59 vskirdin Note Added: 0003815
2009-07-29 21:04 max rusov Note Added: 0003817
2009-07-30 19:40 vskirdin Note Added: 0003823
2009-07-30 20:11 max rusov Note Added: 0003824
2009-07-30 21:56 vskirdin Note Added: 0003825
2009-07-30 22:10 vskirdin Note Added: 0003826
2009-07-30 22:13 vskirdin Status new => assigned
2009-07-30 22:13 vskirdin Assigned To => vskirdin
2009-07-30 23:17 max rusov Note Added: 0003827
2009-07-31 13:53 vskirdin Note Added: 0003833
2009-08-13 23:11 max rusov File Added: Far2API_pas_v2.rar
2009-08-13 23:12 max rusov Note Added: 0003906
2009-08-13 23:14 max rusov Note Edited: 0003906 View Revisions
2009-08-16 12:36 max rusov Note Added: 0003910
2009-08-16 12:52 max rusov Note Edited: 0003910 View Revisions
2009-08-16 14:03 alexy Note Added: 0003911
2009-08-16 14:08 alexy Note Added: 0003912
2009-08-16 20:18 max rusov File Added: Far2API_pas_v3.rar
2009-08-16 20:19 max rusov Note Added: 0003913
2009-08-17 12:28 vskirdin Note Added: 0003914
2009-09-26 14:06 max rusov File Added: Far2API_pas_v4.rar
2009-09-26 14:07 max rusov Note Added: 0004124
2009-10-01 01:29 max rusov File Added: Far2API_pas_v5.rar
2009-10-01 01:31 max rusov Note Added: 0004187
2010-01-31 14:00 max rusov File Added: Far2API_pas_v6.rar
2010-01-31 14:01 max rusov Note Added: 0004853
2010-01-31 16:04 max rusov File Added: Far2API_pas_v7.rar
2010-01-31 16:05 max rusov Note Added: 0004854
2010-01-31 18:00 vskirdin Note Added: 0004855
2010-01-31 18:59 Tiger-cub Note Added: 0004856
2010-02-04 12:28 vskirdin Note Added: 0004865
2010-02-04 13:10 Tiger-cub Note Added: 0004866
2010-02-04 13:11 max rusov Note Added: 0004867
2010-02-04 13:16 Tiger-cub Note Added: 0004868
2010-06-12 16:51 alexy Note Added: 0005476
2010-06-12 18:14 max rusov File Added: Far2API_pas_v8.rar
2010-06-12 18:14 max rusov Note Added: 0005477
2010-07-12 03:21 alexy Project Far Manager 1.7x => Far Manager
2010-07-12 03:34 alexy Note Added: 0005586
2010-07-12 09:36 vskirdin Note Added: 0005589
2010-08-25 22:26 max rusov File Added: Far2API_pas_v9.rar
2010-08-25 22:26 max rusov Note Added: 0005720
2010-08-25 22:28 alexy Note Added: 0005721
2010-09-25 02:14 alexy Note Added: 0005820
2010-09-25 02:16 alexy Build => 0
2010-09-25 02:16 alexy Status assigned => closed
2010-09-25 02:16 alexy Resolution open => fixed
2010-09-25 02:16 alexy Fixed in Version => 2.0